import { AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { BPMNStoreService } from '../../services/bpmn-store.service';
import { ApiService } from '@dotgov/core';
import { Subject } from 'rxjs';
import { BuilderService } from '../../services/builder.service';
export declare class BPMNModelerComponent implements AfterViewInit {
    private api;
    private store;
    private ref;
    private builder;
    modeler: any;
    extraPaletteEntries: any;
    commandQueue: Subject<any>;
    private _url;
    url: string;
    constructor(api: ApiService, store: BPMNStoreService, ref: ChangeDetectorRef, builder: BuilderService);
    readonly canvas: any;
    readonly predownloads: {
        models: string;
    };
    ngAfterViewInit(): void;
    private save(xml, err);
    private createModeler();
    private loadPredownloads();
    private loadBPMN(url?);
    private postLoad(err);
    private resetZoom();
    private exportToSVG();
    private sanitizeXML(_data?);
}
